Ubuntu Settings

prologue: installation manual (personalized). follow them to save your neuron.

1 Updates and Maintenance

1.1 Update sources

在进行所有工作前,首先需要apt-get能正常获取软件包。如果使用的是旧版本,由于官方已经不在维护,那么默认的更新源会失效,提示HTTP404之类的错误,需手动替换为可用的更新源。

vim /etc/apt/source.list

不可用的更新源(即使是官方源),可以从source.list中移除(备份后),确保apt-get会正确定向到可用源的更新列表。

如下为一个可用源(台湾交通大学)

deb http://debian.nctu.edu.tw/ubuntu/ jaunty main restricted universe multiverse
deb http://debian.nctu.edu.tw/ubuntu/ jaunty-security main restricted universe multiverse
deb http://debian.nctu.edu.tw/ubuntu/ jaunty-updates main restricted universe multiverse
deb http://debian.nctu.edu.tw/ubuntu/ jaunty-proposed main restricted universe multiverse
deb http://debian.nctu.edu.tw/ubuntu/ jaunty-backports main restricted universe multiverse
deb-src http://debian.nctu.edu.tw/ubuntu/ jaunty main restricted universe multiverse
deb-src http://debian.nctu.edu.tw/ubuntu/ jaunty-security main restricted universe multiverse
deb-src http://debian.nctu.edu.tw/ubuntu/ jaunty-updates main restricted universe multiverse
deb-src http://debian.nctu.edu.tw/ubuntu/ jaunty-proposed main restricted universe multiverse
deb-src http://debian.nctu.edu.tw/ubuntu/ jaunty-backports main restricted universe multiverse

修改完后,更新列表。

sudo apt-get update

现在就可以顺利使用apt-get了。

1.2 Update commands

PPA支持、RPM支持

sudo apt-get install python-software-properties
sudo apt-get install rpm
sudo apt-get install alien
sudo alien -d *.rpm

Update

apt-get update
apt-get -u upgrade
apt-get -u dist-upgrade

-u is to display involved packages.

1.3 Root password

使用命令:

sudo passwd root

1.4 Drivers

部分硬件驱动需要额外安装

1.4.1 AMD Graphics card

至官网下载驱动,chmod为可执行文件,执行安装。

1.4.2 Ralink rt5390sta  (model: HP dm1z)

参考该教程:http://atinfinity.wordpress.com/2011/05/21/ralink-rt5390-wi-fi-driver-on-ubuntu-11-04/

测试Ubuntu 10.04可用。

(可以将patch文件重命名为数字,便于输入,并无顺序要求)
patch -p0 < 1.patch
patch -p0 < 2.patch
patch -p0 < 3.patch
patch -p0 < 4.patch
patch -p0 < 5.patch
patch -p0 < 6.patch
(... 新版本驱动为8个patch)
sudo su (或su并去掉exit)
cp RT2860STA.dat RT5390STA.dat
cp RT2860STA.dat RT5390STACard.dat
mkdir -p /etc/Wireless/RT5390STA
cp RT5390STA.* /etc/Wireless/RT5390STA
make clean
make
make install
modprobe rt5390sta
exit

1.5 UI

Screenshot-Login Screen Settings

1.6 安装中文输入法

1) System->Administration->Language Support->Install/Remove Languages,汉语(中国)。Input method system->ibus。

2) System->Preference->Keyboard Input Methods->Input Method->选择输入法。

2 Workspace

2.0 Prerequisite

2.0.0 7zip

Quite a lot of packages need extraction. Type “7z” in console first to check which package needed.

sudo apt-get p7zip-rar
7z x [compressed file]

2.0.1 Ubuntu Tweak

Download and double-click.

2.0.1 Chrome

Check software center.

2.0.1 Python

Download package.

tar -zxvf [file]
./configure
make
make install

Some other libraries

sudo apt-get install libevent-dev
sudo apt-get install python-all-dev
sudo apt-get install python-setuptools

2.0.2 GoAgent

Download and follow its (GoAgent) instruction.

2.0.2.1 WARNING: python-gevent not installed.

sudo easy_install greenlet
sudo easy_install gevent

2.0.3 Dropbox (or other syncs)

in order to import configuration files into this image.

Check software center. Remember to back up the image beforehand in case damages to reinstall.

2.0.3.1 Installation issue

If you are behind the GFW (or some other with this feature), you have to install proxy app first.

Because one of its components was blocked which means you are unable to retrieve it through a usual connection.

2.1 C/C++

2.1.1 Base

sudo apt-get install build-essential

2.1.2 C/C++ IDE – Anjuta

Use Software Centre。

2.2 Vim

2.3.1 Upgrade to Full version

Check software center. Upgrade the integrated version to full.

Or use commands.

sudo apt-get install [name]

(try typing vim command to see which name will be functional.)

查看可用剪切板

:reg

2.3.2 查看vim安装路径

:set runtimepath?

将插件置于安装路径,通常应该位于/usr/share/vim/(vim版本,如vim72)

插件们:ctags, bufexplorer, tagbar

2.3.3 vim配置文件

将配置文件覆盖/etc/vim/vimrc

2.3 Java

Java Settings.

Apache

SQL

Version control

2.4 Firefox

2.4.1 Update source

新版本的Ubuntu可以经由软件中心直接升级,旧版本则需要添加PPA进行手动更新。

sudo add-apt-repository ppa:mozillateam/firefox-stable
sudo apt-get update
sudo apt-get install firefox

2.4.2 Flash

由于浏览Html必然会需要Flash支持,建议使用Flash Aid插件管理Ubuntu环境下的Flash支持,使用apt-get手动管理常会遇到不可预料的错误。

2.4.3 Plug-ins

Firebug, LiveHttpheader, AdBlock,

2.9 Others

Wireshark, Netwag, Okular

3 Apps

3.1 Chrome

Posted on 2011-12-15, in IT and tagged , . Bookmark the permalink. 留下评论.

发表评论

Fill in your details below or click an icon to log in:

WordPress.com 徽标

您正在使用您的 WordPress.com 账号评论。 注销 /  更改 )

Google photo

您正在使用您的 Google 账号评论。 注销 /  更改 )

Twitter picture

您正在使用您的 Twitter 账号评论。 注销 /  更改 )

Facebook photo

您正在使用您的 Facebook 账号评论。 注销 /  更改 )

Connecting to %s

%d 博主赞过: